Subject: Re: [PATCH net-next] net: dsa: felix: suppress -EPROBE_DEFER errors

From: Jakub Kicinski <[email-masked]>
Date: Thu, 7 Apr 2022 19:56:02 -0700

On Thu, 07 Apr 2022 16:58:43 +0200 Michael Walle wrote:
> >> I'll limit it to just the one dev_err() and add a Fixes,
> >> there might be scripts out there who greps dmesg for errors.  
> > 
> > Ok.  
> 
> Hum, it's not that easy. The issue goes back all the way
> to the initial commit if I didn't miss anything (56051948773e).
> That one was first included in 5.5, but dev_err_probe() wasn't
> added until 5.9.
> 
> Thus will it work if I add Fixes: 56051948773e (..)?

Yes, backporters will figure it out. Matters even less since none 
of [5.5, 5.9] kernels are LTS.

But if you want to slap a Fixes tag on it, it has to go to net rather
than net-next.